function TRLprueba()
%dir nombre del directorio, N , numero de medidas , nombre del archivo
%----- Inicializacion -----%
disp('primer programa')
global ud;
%parametros11= 'CALC4:PAR:DEF 'Ch4Tr1', S11'';
dir = 'carpeta';
nombre = 'fichero';
    ud=0;
    ud=mexrsib('ibfind', '192.168.1.1');
    disp(ud)
    % Check for valid device handle
    if ud>0
        disp('Entra en ud')
        % Set timeout to 10 s
        mexrsib('ibtmo',ud,10)
        % Init device
        mexrsib('ibwrt',ud,'*RST;*CLS')
        % Identify the instrument.
        mexrsib('ibwrt',ud,'*IDN?')
        IdStr = mexrsib('ilrd',ud,100);
        disp (IdStr)
        % Turn display update ON
        mexrsib('ibwrt',ud,'SYST:DISP:UPD ON')

        %----- Configuracion parametros medida -----%
        mexrsib('ibwrt',ud,'*RST');                     %pone el analizador a estado de serie 
        
        mexrsib('ibwrt',ud,'SENS:FREQ:START 10 MHZ')   %pone frecuencia de inicio 
        mexrsib('ibwrt',ud,'SENS:FREQ:STOP 60 GHZ')    %pone frecuencia final
    
        mexrsib('ibwrt',ud,'SWE:POIN 801')              %pone 801 puntos 
    
        %mexrsib('ibwrt',ud,'SEGM:BWID 1 KHZ')          %filtro IF 1 khz
        mexrsib('ibwrt',ud,'BAND 1 KHZ');               %filtro IF 1 khz
        
        mexrsib('ibwrt',ud,'SOUR:POW -20')             %potencia salida -20dbm
        
        mexrsib('ibwrt',ud,'SENSe1:CORRection:COLLect:METHod:DEFine "Test SFK TRL 12", TRL, 1, 2');
        mexrsib('ibwrt',ud,'SENSe1:CORRection:COLLect:ACQuire:SELected THROUGH, 1, 2');
        mexrsib('ibwrt',ud,'SENSe1:CORRection:COLLect:ACQuire:SELected OPEN, 1');
        mexrsib('ibwrt',ud,'SENSe1:CORRection:COLLect:ACQuire:SELected SHORT, 1');
        mexrsib('ibwrt',ud,'SENSe1:CORRection:COLLect:ACQuire:SELected MATCH, 1');
        mexrsib('ibwrt',ud,'SENSe1:CORRection:COLLect:ACQuire:SELected OPEN, 2');
        mexrsib('ibwrt',ud,'SENSe1:CORRection:COLLect:ACQuire:SELected SHORT, 2');
        mexrsib('ibwrt',ud,'SENSe1:CORRection:COLLect:ACQuire:SELected MATCH, 2');
        
        mexrsib('ibwrt',ud,'SENSe1:CORRection:COLLect:SAVE:SELected');
        
        
        mexrsib('ibwrt',ud,'FORMAT REAL,32');
        mexrsib('ibwrt',ud,'@TRACEFILE:scorr1.dat');
        mexrsib('ibwrt',ud,'CALCulate1:DATA? SCORr1');
        mexrsib('ibwrt',ud,'@TRACEFILE:scorr2.dat');
        mexrsib('ibwrt',ud,'CALCulate1:DATA? SCORr2');
        mexrsib('ibwrt',ud,'@TRACEFILE:scorr3.dat');
        mexrsib('ibwrt',ud,'CALCulate1:DATA? SCORr3');
% // We are omitting the isolation term, as it is not implemented on the ZVAB
% // @TRACEFILE:scorr4.dat
% // :CALCulate1:DATA? SCORr4
        mexrsib('ibwrt',ud,'@TRACEFILE:scorr5.dat');
        mexrsib('ibwrt',ud,'CALCulate1:DATA? SCORr5');
        mexrsib('ibwrt',ud,'@TRACEFILE:scorr6.dat');
        mexrsib('ibwrt',ud,'CALCulate1:DATA? SCORr6');
        mexrsib('ibwrt',ud,'@TRACEFILE:scorr7.dat');
        mexrsib('ibwrt',ud,'CALCulate1:DATA? SCORr7');
        mexrsib('ibwrt',ud,'@TRACEFILE:scorr8.dat');
        mexrsib('ibwrt',ud,'CALCulate1:DATA? SCORr8');
        mexrsib('ibwrt',ud,'@TRACEFILE:scorr9.dat');
        mexrsib('ibwrt',ud,'CALCulate1:DATA? SCORr9');
% // We are omitting the isolation term, as it is not implemented on the ZVAB
% // @TRACEFILE:scorr10.dat
% // :CALCulate1:DATA? SCORr10
        mexrsib('ibwrt',ud,'@TRACEFILE:scorr11.dat');
        mexrsib('ibwrt',ud,'CALCulate1:DATA? SCORr11');
        mexrsib('ibwrt',ud,'@TRACEFILE:scorr12.dat');
        
        %mexrsib('ibwrt',ud,'CALC:FORM MAGN')            %calcula con magnitudes
        %mexrsib('ibwrt',ud,'CALC:FORM COMP')
        %mexrsib('ibwrt',ud,'CALC:FORM COMP "Trc2"')
%         mexrsib('ibwrt',ud,'SENS1:CORRECTION:CKIT:N50:SELECT  "N 50 Ohm Ideal Kit"');    %selecciona el cal kit n50
%         %mexrsib('ibwrt',ud,'SENSE1:CORRECTION:COLLECT:CONNECTION1 N50MALE');            %selecciona el conector del puerto 
%         mexrsib('ibwrt',ud,'SENSe1:CORRection:COLLect:METHod:DEFine "test",REFL, 1');
%         mexrsib('ibwrt',ud,'SENSe1:CORRection:COLLect:ACQuire:SELected  OPEN,  1');     %toma la medida de correcion
%         mexrsib('ibwrt',ud,'SENSe1:CORRection:COLLect:SAVE:SELected');
%         mexrsib('ibwrt',ud,'MMEMORY:STORE:CORRection 1, "test.cal"')
%         mexrsib('ibwrt',ud,'CALCulate1:DATA SCORR1,#@scorr1.dat')
        

        
        mexrsib('ibwrt',ud,'INITiate1:CONTinuous OFF');
        mexrsib('ibwrt',ud,'INITiate:IMMediate;*WAI');
    end
        
        